/*
 * LgVerwaltet.java
 *
 * Created on 2. Mrz 2001, 13:19
 */

package bank3tier.lg;
import  bank3tier.db.DbObject;

/**Association "Kunde verwaltet Konto".
 * @author  Christoph Knabe
 */
public class LgVerwaltet extends DbObject {
    private Integer kunde_oid, konto_oid;
    private boolean inhaber;
    
    public boolean isInhaber(){return inhaber;}
    
    /** Creates unstored new link object*/
    /*package*/ LgVerwaltet(final LgKunde i_kunde, final LgKonto i_konto){
        kunde_oid = i_kunde.getOid();   konto_oid = i_konto.getOid();
    }
    /** Creates query object with only a Kunde*/
    /*package*/ LgVerwaltet(final LgKunde i_kunde){
        kunde_oid = i_kunde.getOid();
    }
    
    private LgVerwaltet(){}
    
    /*package*/ void setInhaber(final boolean i_inhaber){
        inhaber = i_inhaber;
    }

    /*package*/ static final LgVerwaltet dummy = new LgVerwaltet();

}