package bank3tier.db; //DbJungeKundenQuery

//2005-04-07  Knabe  Erstellt

import bank3tier.db.Pool.ArgumentCountExc;
import bank3tier.db.Pool.ArgumentTypeExc;
import jora.Cursor;
import jora.Table;

import java.sql.Date;


/**Liefert alle Zeilen der angesprochenen Tabelle, mit der Spalte 'geburt' ab i_args[0]
 * @throws ArgumentCountExc i_args nicht 1 Argument hat
 * @throws ArgumentTypeExc  i_args[0] nicht vom Typ java.sql.Date 
 */
public final class DbJungeKundenQuery extends Query {

	//Implements from Query
    Cursor execute(final _JoraPool io_pool, final Table io_table, final Object[] i_args)
    throws ArgumentCountExc, ArgumentTypeExc
    {
        final int providedCount = i_args.length;
        final int neededCount = 1;
        if(providedCount!=neededCount){
            throw new ArgumentCountExc(getClass(), providedCount, neededCount);
        }
        final int argumentIndex = 0;
        final Object arg0 = i_args[argumentIndex];
        if(!(arg0 instanceof Date)){
            throw new ArgumentTypeExc(getClass(), argumentIndex, arg0.getClass(), Date.class);
        }
        final Date geburtsdatumAbDate = (Date)arg0;
		return io_table.select("WHERE geburt >= '" + geburtsdatumAbDate + "'");
	}

}
