package jora; //JdbcFailure.java

//2002-06-22  Christoph Knabe  Creation

/** A JDBC operation failed caused by an SQLException.
  * This exception collects all the additional information of the SQLException.
*/
public class JdbcFailure extends Failure {
    public JdbcFailure(final java.sql.SQLException i_cause){
        super("JORA: SQLException with vendor-specific error code {0} and SQLState {1} encountered",
            i_cause,  new Integer(i_cause.getErrorCode()) , i_cause.getSQLState()
        );
    }
}
